Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSensorAlertsCurrentOverviewByMetric({
networkId: "string",
});
export const merakiNetworksSensorAlertsCurrentOverviewByMetricExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sensor_alerts_current_overview_by_metric(network_id="string")
pulumi.export("merakiNetworksSensorAlertsCurrentOverviewByMetricExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSensorAlertsCurrentOverviewByMetric(ctx, &networks.GetSensorAlertsCurrentOverviewByMetricArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSensorAlertsCurrentOverviewByMetricExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSensorAlertsCurrentOverviewByMetric.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSensorAlertsCurrentOverviewByMetricExample"] = example.Apply(getSensorAlertsCurrentOverviewByMetricResult => getSensorAlertsCurrentOverviewByMetricResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSensorAlertsCurrentOverviewByMetricArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSensorAlertsCurrentOverviewByMetric(GetSensorAlertsCurrentOverviewByMetricArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSensorAlertsCurrentOverviewByMetricExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSensorAlertsCurrentOverviewByMetric
arguments:
networkId: string
outputs:
merakiNetworksSensorAlertsCurrentOverviewByMetricExample: ${example.item}
Using getSensorAlertsCurrentOverviewByMetric
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSensorAlertsCurrentOverviewByMetric(args: GetSensorAlertsCurrentOverviewByMetricArgs, opts?: InvokeOptions): Promise<GetSensorAlertsCurrentOverviewByMetricResult>
function getSensorAlertsCurrentOverviewByMetricOutput(args: GetSensorAlertsCurrentOverviewByMetricOutputArgs, opts?: InvokeOptions): Output<GetSensorAlertsCurrentOverviewByMetricResult>def get_sensor_alerts_current_overview_by_metric(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSensorAlertsCurrentOverviewByMetricResult
def get_sensor_alerts_current_overview_by_metric_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSensorAlertsCurrentOverviewByMetricResult]func GetSensorAlertsCurrentOverviewByMetric(ctx *Context, args *GetSensorAlertsCurrentOverviewByMetricArgs, opts ...InvokeOption) (*GetSensorAlertsCurrentOverviewByMetricResult, error)
func GetSensorAlertsCurrentOverviewByMetricOutput(ctx *Context, args *GetSensorAlertsCurrentOverviewByMetricOutputArgs, opts ...InvokeOption) GetSensorAlertsCurrentOverviewByMetricResultOutput> Note: This function is named GetSensorAlertsCurrentOverviewByMetric in the Go SDK.
public static class GetSensorAlertsCurrentOverviewByMetric
{
public static Task<GetSensorAlertsCurrentOverviewByMetricResult> InvokeAsync(GetSensorAlertsCurrentOverviewByMetricArgs args, InvokeOptions? opts = null)
public static Output<GetSensorAlertsCurrentOverviewByMetricResult> Invoke(GetSensorAlertsCurrentOverviewByMetricInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSensorAlertsCurrentOverviewByMetricResult> getSensorAlertsCurrentOverviewByMetric(GetSensorAlertsCurrentOverviewByMetricArgs args, InvokeOptions options)
public static Output<GetSensorAlertsCurrentOverviewByMetricResult> getSensorAlertsCurrentOverviewByMetric(GetSensorAlertsCurrentOverviewByMetricArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSensorAlertsCurrentOverviewByMetric:getSensorAlertsCurrentOverviewByMetric
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSensorAlertsCurrentOverviewByMetric Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Sensor Alerts Current Overview By Metric Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Sensor Alerts Current Overview By Metric Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Sensor Alerts Current Overview By Metric Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Sensor Alerts Current Overview By Metric Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Sensor Alerts Current Overview By Metric Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSensorAlertsCurrentOverviewByMetricItem
- Counts
Get
Sensor Alerts Current Overview By Metric Item Counts - Counts of currently alerting sensors, aggregated by alerting metric
- Supported
Metrics List<string> - List of metrics that are supported for alerts, based on available sensor devices in the network
- Counts
Get
Sensor Alerts Current Overview By Metric Item Counts - Counts of currently alerting sensors, aggregated by alerting metric
- Supported
Metrics []string - List of metrics that are supported for alerts, based on available sensor devices in the network
- counts
Get
Sensor Alerts Current Overview By Metric Item Counts - Counts of currently alerting sensors, aggregated by alerting metric
- supported
Metrics List<String> - List of metrics that are supported for alerts, based on available sensor devices in the network
- counts
Get
Sensor Alerts Current Overview By Metric Item Counts - Counts of currently alerting sensors, aggregated by alerting metric
- supported
Metrics string[] - List of metrics that are supported for alerts, based on available sensor devices in the network
- counts
Get
Sensor Alerts Current Overview By Metric Item Counts - Counts of currently alerting sensors, aggregated by alerting metric
- supported_
metrics Sequence[str] - List of metrics that are supported for alerts, based on available sensor devices in the network
- counts Property Map
- Counts of currently alerting sensors, aggregated by alerting metric
- supported
Metrics List<String> - List of metrics that are supported for alerts, based on available sensor devices in the network
GetSensorAlertsCurrentOverviewByMetricItemCounts
- Apparent
Power int - Number of sensors that are currently alerting due to apparent power readings
- Co2 int
- Number of sensors that are currently alerting due to CO2 readings
- Current int
- Number of sensors that are currently alerting due to electrical current readings
- Door int
- Number of sensors that are currently alerting due to an open door
- Frequency int
- Number of sensors that are currently alerting due to frequency readings
- Humidity int
- Number of sensors that are currently alerting due to humidity readings
- Indoor
Air intQuality - Number of sensors that are currently alerting due to indoor air quality readings
- Noise
Get
Sensor Alerts Current Overview By Metric Item Counts Noise - Object containing the number of sensors that are currently alerting due to noise readings
- Pm25 int
- Number of sensors that are currently alerting due to PM2.5 readings
- Power
Factor int - Number of sensors that are currently alerting due to power factor readings
- Real
Power int - Number of sensors that are currently alerting due to real power readings
- Temperature int
- Number of sensors that are currently alerting due to temperature readings
- Tvoc int
- Number of sensors that are currently alerting due to TVOC readings
- Upstream
Power int - Number of sensors that are currently alerting due to an upstream power outage
- Voltage int
- Number of sensors that are currently alerting due to voltage readings
- Water int
- Number of sensors that are currently alerting due to the presence of water
- Apparent
Power int - Number of sensors that are currently alerting due to apparent power readings
- Co2 int
- Number of sensors that are currently alerting due to CO2 readings
- Current int
- Number of sensors that are currently alerting due to electrical current readings
- Door int
- Number of sensors that are currently alerting due to an open door
- Frequency int
- Number of sensors that are currently alerting due to frequency readings
- Humidity int
- Number of sensors that are currently alerting due to humidity readings
- Indoor
Air intQuality - Number of sensors that are currently alerting due to indoor air quality readings
- Noise
Get
Sensor Alerts Current Overview By Metric Item Counts Noise - Object containing the number of sensors that are currently alerting due to noise readings
- Pm25 int
- Number of sensors that are currently alerting due to PM2.5 readings
- Power
Factor int - Number of sensors that are currently alerting due to power factor readings
- Real
Power int - Number of sensors that are currently alerting due to real power readings
- Temperature int
- Number of sensors that are currently alerting due to temperature readings
- Tvoc int
- Number of sensors that are currently alerting due to TVOC readings
- Upstream
Power int - Number of sensors that are currently alerting due to an upstream power outage
- Voltage int
- Number of sensors that are currently alerting due to voltage readings
- Water int
- Number of sensors that are currently alerting due to the presence of water
- apparent
Power Integer - Number of sensors that are currently alerting due to apparent power readings
- co2 Integer
- Number of sensors that are currently alerting due to CO2 readings
- current Integer
- Number of sensors that are currently alerting due to electrical current readings
- door Integer
- Number of sensors that are currently alerting due to an open door
- frequency Integer
- Number of sensors that are currently alerting due to frequency readings
- humidity Integer
- Number of sensors that are currently alerting due to humidity readings
- indoor
Air IntegerQuality - Number of sensors that are currently alerting due to indoor air quality readings
- noise
Get
Sensor Alerts Current Overview By Metric Item Counts Noise - Object containing the number of sensors that are currently alerting due to noise readings
- pm25 Integer
- Number of sensors that are currently alerting due to PM2.5 readings
- power
Factor Integer - Number of sensors that are currently alerting due to power factor readings
- real
Power Integer - Number of sensors that are currently alerting due to real power readings
- temperature Integer
- Number of sensors that are currently alerting due to temperature readings
- tvoc Integer
- Number of sensors that are currently alerting due to TVOC readings
- upstream
Power Integer - Number of sensors that are currently alerting due to an upstream power outage
- voltage Integer
- Number of sensors that are currently alerting due to voltage readings
- water Integer
- Number of sensors that are currently alerting due to the presence of water
- apparent
Power number - Number of sensors that are currently alerting due to apparent power readings
- co2 number
- Number of sensors that are currently alerting due to CO2 readings
- current number
- Number of sensors that are currently alerting due to electrical current readings
- door number
- Number of sensors that are currently alerting due to an open door
- frequency number
- Number of sensors that are currently alerting due to frequency readings
- humidity number
- Number of sensors that are currently alerting due to humidity readings
- indoor
Air numberQuality - Number of sensors that are currently alerting due to indoor air quality readings
- noise
Get
Sensor Alerts Current Overview By Metric Item Counts Noise - Object containing the number of sensors that are currently alerting due to noise readings
- pm25 number
- Number of sensors that are currently alerting due to PM2.5 readings
- power
Factor number - Number of sensors that are currently alerting due to power factor readings
- real
Power number - Number of sensors that are currently alerting due to real power readings
- temperature number
- Number of sensors that are currently alerting due to temperature readings
- tvoc number
- Number of sensors that are currently alerting due to TVOC readings
- upstream
Power number - Number of sensors that are currently alerting due to an upstream power outage
- voltage number
- Number of sensors that are currently alerting due to voltage readings
- water number
- Number of sensors that are currently alerting due to the presence of water
- apparent_
power int - Number of sensors that are currently alerting due to apparent power readings
- co2 int
- Number of sensors that are currently alerting due to CO2 readings
- current int
- Number of sensors that are currently alerting due to electrical current readings
- door int
- Number of sensors that are currently alerting due to an open door
- frequency int
- Number of sensors that are currently alerting due to frequency readings
- humidity int
- Number of sensors that are currently alerting due to humidity readings
- indoor_
air_ intquality - Number of sensors that are currently alerting due to indoor air quality readings
- noise
Get
Sensor Alerts Current Overview By Metric Item Counts Noise - Object containing the number of sensors that are currently alerting due to noise readings
- pm25 int
- Number of sensors that are currently alerting due to PM2.5 readings
- power_
factor int - Number of sensors that are currently alerting due to power factor readings
- real_
power int - Number of sensors that are currently alerting due to real power readings
- temperature int
- Number of sensors that are currently alerting due to temperature readings
- tvoc int
- Number of sensors that are currently alerting due to TVOC readings
- upstream_
power int - Number of sensors that are currently alerting due to an upstream power outage
- voltage int
- Number of sensors that are currently alerting due to voltage readings
- water int
- Number of sensors that are currently alerting due to the presence of water
- apparent
Power Number - Number of sensors that are currently alerting due to apparent power readings
- co2 Number
- Number of sensors that are currently alerting due to CO2 readings
- current Number
- Number of sensors that are currently alerting due to electrical current readings
- door Number
- Number of sensors that are currently alerting due to an open door
- frequency Number
- Number of sensors that are currently alerting due to frequency readings
- humidity Number
- Number of sensors that are currently alerting due to humidity readings
- indoor
Air NumberQuality - Number of sensors that are currently alerting due to indoor air quality readings
- noise Property Map
- Object containing the number of sensors that are currently alerting due to noise readings
- pm25 Number
- Number of sensors that are currently alerting due to PM2.5 readings
- power
Factor Number - Number of sensors that are currently alerting due to power factor readings
- real
Power Number - Number of sensors that are currently alerting due to real power readings
- temperature Number
- Number of sensors that are currently alerting due to temperature readings
- tvoc Number
- Number of sensors that are currently alerting due to TVOC readings
- upstream
Power Number - Number of sensors that are currently alerting due to an upstream power outage
- voltage Number
- Number of sensors that are currently alerting due to voltage readings
- water Number
- Number of sensors that are currently alerting due to the presence of water
GetSensorAlertsCurrentOverviewByMetricItemCountsNoise
- Ambient int
- Number of sensors that are currently alerting due to ambient noise readings
- Ambient int
- Number of sensors that are currently alerting due to ambient noise readings
- ambient Integer
- Number of sensors that are currently alerting due to ambient noise readings
- ambient number
- Number of sensors that are currently alerting due to ambient noise readings
- ambient int
- Number of sensors that are currently alerting due to ambient noise readings
- ambient Number
- Number of sensors that are currently alerting due to ambient noise readings
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
